Main Page | Namespace List | Class Hierarchy | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# gslib::static_container::list_hash< Key, Value, MaxSize, KeyEqual > Class Template Reference

hash と、list を組み合わせた標準ハッシュ More...

`#include <list_hash.h>`

Inheritance diagram for gslib::static_container::list_hash< Key, Value, MaxSize, KeyEqual >:

[legend]
Collaboration diagram for gslib::static_container::list_hash< Key, Value, MaxSize, KeyEqual >:

[legend]
List of all members.

## Public Types
typedef hash< Key, Value, list< std::pair< Key, Value >, MaxSize >, KeyEqual > | parent
typedef parent::value_type | value_type
typedef parent::reference | reference
typedef parent::const_reference | const_reference
typedef parent::iterator | iterator
typedef parent::const_iterator | const_iterator
typedef parent::size_type | size_type
## Public Member Functions
| list_hash (key_equal equal=KeyEqual())

## Detailed Description

### template<typename Key, typename Value, size_t MaxSize, typename KeyEqual = std::equal_to< Key >>
class gslib::static_container::list_hash< Key, Value, MaxSize, KeyEqual >

hash と、list を組み合わせた標準ハッシュ

Definition at line 64 of file list_hash.h.

## Member Typedef Documentation

template<typename Key, typename Value, size_t MaxSize, typename KeyEqual = std::equal_to< Key >>
typedef parent::const_iterator gslib::static_container::list_hash< Key, Value, MaxSize, KeyEqual >::const_iterator

| Reimplemented from gslib::static_container::hash< Key, Value, Cont, KeyEqual >. Definition at line 72 of file list_hash.h.

template<typename Key, typename Value, size_t MaxSize, typename KeyEqual = std::equal_to< Key >>
typedef parent::const_reference gslib::static_container::list_hash< Key, Value, MaxSize, KeyEqual >::const_reference

| Definition at line 70 of file list_hash.h.

template<typename Key, typename Value, size_t MaxSize, typename KeyEqual = std::equal_to< Key >>
typedef parent::iterator gslib::static_container::list_hash< Key, Value, MaxSize, KeyEqual >::iterator

| Reimplemented from gslib::static_container::hash< Key, Value, Cont, KeyEqual >. Definition at line 71 of file list_hash.h.

template<typename Key, typename Value, size_t MaxSize, typename KeyEqual = std::equal_to< Key >>
typedef hash< Key, Value, list< std::pair< Key, Value >, MaxSize >, KeyEqual > gslib::static_container::list_hash< Key, Value, MaxSize, KeyEqual >::parent

| Definition at line 66 of file list_hash.h.

template<typename Key, typename Value, size_t MaxSize, typename KeyEqual = std::equal_to< Key >>
typedef parent::reference gslib::static_container::list_hash< Key, Value, MaxSize, KeyEqual >::reference

| Definition at line 69 of file list_hash.h.

template<typename Key, typename Value, size_t MaxSize, typename KeyEqual = std::equal_to< Key >>
typedef parent::size_type gslib::static_container::list_hash< Key, Value, MaxSize, KeyEqual >::size_type

| Definition at line 73 of file list_hash.h.

template<typename Key, typename Value, size_t MaxSize, typename KeyEqual = std::equal_to< Key >>
typedef parent::value_type gslib::static_container::list_hash< Key, Value, MaxSize, KeyEqual >::value_type

| Definition at line 68 of file list_hash.h.

## Constructor & Destructor Documentation

template<typename Key, typename Value, size_t MaxSize, typename KeyEqual = std::equal_to< Key >>
gslib::static_container::list_hash< Key, Value, MaxSize, KeyEqual >::list_hash | ( | key_equal | equal = KeyEqual() | ) | `[inline]`

| Definition at line 75 of file list_hash.h.
    00075 : parent( equal ) {}

The documentation for this class was generated from the following file:

- list_hash.h